#!/bin/bash
#SBATCH -p pbatch
#SBATCH -N 32
#SBATCH -n 1024
#SBATCH -t 00:10:00
#SBATCH --job-name="pF3D"

export I_MPI_EXTRA_FILESYSTEM=on
export I_MPI_EXTRA_FILESYSTEM_LIST=lustre
export OMP_NUM_THREADS=1

cd $SLURM_SUBMIT_DIR
lfs setstripe -c 8 -S 4M ./

rm -rf ./logs ./recorder-logs
rm -rf test_res.pdb
rm -rf ./iotest/*

# Added by Chen
source ~/.bash_profile
module load intel/18.0.1
module load mvapich2/2.2
module load hdf5-parallel/1.8.18
# Remeber to re-compile Recorder with the correct MPI and HDF5
# Although this simulation does not use HDF5

#???
umask 027

echo "Starting iotest run"
export CODE_DIR=/usr/gapps/yorick/arch/$SYS_TYPE/new/

# To run interactively, get interactive nodes and then using
# commands like this:
#   salloc -N 2 -n 72 --exclusive --time 30:00
#   ./run-quartz.ksh
#
# To run as a batch job, try submitting like this:
#   sbatch  -N 2 -n 72 -A ibronze --exclusive -p pbatch --time 30:00 run-quartz.ksh


LD_PRELOAD=/g/g90/wang116/sources/Recorder/install/lib/librecorder.so \
srun -i0 -c1 -n $SLURM_NPROCS $CODE_DIR/bin/mpy <<- MPY_CMDS
    mp_include,"mpio2.i";
    basedir= "/p/lscratchh/wang116/applications/pf3d-io/iotest/";
    mpio;
    quit;
MPY_CMDS


exit
